


struct	MCD_DD
	{ int	m_id,
		prg_id,
                status,
                err,
		cmnd;
	  unsigned int fq;
	  unsigned int epoch_len,
                adc_data_ptr,
                dac_data_ptr,
		chan ,

		is,
		ra,
		rb,
		gain,
		off_hook,
		mcbsp_flag;	// LSB==0 for C54x with BSP port (C542/C548/C549)
					// LSB==1 for C54xx with McBSP ports (C5402/C5410/C5416)
	};

struct	MCD_DD *MCD	= (struct MCD_DD *)0xff00;



#define	T54X_ID			0x101
#define	PRG_ID			0x100

#define	MSTAT_RDY		0 /* Master status values */
#define	MSTAT_BUSY		1
#define	MSTAT_ATTN		2
#define	MSTAT_GO		3
#define	MSTAT_ABORT		4

#define	MERR_OK			0 /* Master returned error codes */
#define	MERR_INV_CMND		1 /*     ; invalid command */
#define	MERR_INV_ATTN		2
#define	MERR_HOOK		3


#define	MCMND_NOP		0
#define	MCMND_ABORT		1

#define	MCMND_DAS_SCAN		0x100
#define	MCMND_DAS_DAC_SCAN	0x101
#define	MCMND_DAC_SING_LOAD	0x102
#define	MCMND_ADC_TO_DAC	0x103
#define MCMND_OUT_RING		0x104L   /* Output ring SLIC */

#define	ML_OFF			0
#define	ML_ON			1

#define	MDATA_BUF_LEN		0x3c00L /* maximum data array length */

extern  unsigned int r_buf_start, x_buf_start;

int	*ADC,	*DAC;		/* ptrs to the ADC/DAC data */

int	host_rq_flag=0;

int	mcbsp_flag=0;		// is set to '1' for T54xx with McBSP ports

#define	SIO_NOT_MCBSP	(mcbsp_flag==0)
#define	SIO_MCBSP		(mcbsp_flag==1)


